Probleme gdk

oursgruik Messages postés 4 Date d'inscription mardi 21 mars 2006 Statut Membre Dernière intervention 24 mars 2006 - 24 mars 2006 à 13:30
luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 - 24 mars 2006 à 20:46
Bonjour,

Je developpe un programme sous visual c++ et je doit utiliser des fonctions de gdk. Mais quand je compile, il y q les messages d'erreur suivants:

test.obj : error LNK2001: unresolved external symbol _gdk_draw_polygon
test.obj : error LNK2001: unresolved external symbol _gdk_draw_arc
test.obj : error LNK2001: unresolved external symbol _gdk_draw_line
test.obj : error LNK2001: unresolved external symbol _gdk_draw_rectangle
test.obj : error LNK2001: unresolved external symbol _gdk_pixmap_new
test.obj : error LNK2001: unresolved external symbol _gdk_draw_drawable
Debug/test.exe : fatal error LNK1120: 6 unresolved externals
Error executing link.exe.

Que dois-je faire?

8 réponses

luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 6
24 mars 2006 à 14:07
Tu as bien lié libgdk...a ?
0
oursgruik Messages postés 4 Date d'inscription mardi 21 mars 2006 Statut Membre Dernière intervention 24 mars 2006
24 mars 2006 à 15:07
Heu non,

Comment on fait ca. Et d'abord, ou je peux telecharger la librairie gdk
0
luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 6
24 mars 2006 à 15:15
Pour la libraire gdk, faut que tu cherches gtk sur le net.

Mais c'est étonnant que tu utilises gdk, sans gtk. Enfin bref, il va
surement falloir installé le runtime gtk, que tu trouves sur internet.
Peut etre sur le site de "the gimp". Il te faudra aussi les librairies
.a. Avec devcpp, c'est un package qui contient deja tout le nécessaire,
mais pour visual, ca doit se trouver facilement sur le net.
0
oursgruik Messages postés 4 Date d'inscription mardi 21 mars 2006 Statut Membre Dernière intervention 24 mars 2006
24 mars 2006 à 15:25
J'ai deja installer gtk. Cela fonctionne mais je ne peux pas utiliser de fonction du style gdk_draw_line et autres. J'ai les messages d'erreur cite dans ce post.

Alors je ne sait plus quoi faire.
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 6
24 mars 2006 à 16:29
Mais installer gtk ne règlera pas le problème. Il faut les librairies de développement en ".a".
0
oursgruik Messages postés 4 Date d'inscription mardi 21 mars 2006 Statut Membre Dernière intervention 24 mars 2006
24 mars 2006 à 17:16
mais je les trouve ou les librairies
0
luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 6
24 mars 2006 à 20:46
Bas tu peux aussi chercher par toi meme. Google, c'est quand meme pas dure a utiliser.

www.gtk.org



ftp://ftp.gtk.org/pub/gtk/v2.8/win32/
0
luhtor Messages postés 2023 Date d'inscription mardi 24 septembre 2002 Statut Membre Dernière intervention 28 juillet 2008 6
24 mars 2006 à 20:46
A oui j'oubliais, faut télécharger évidemment les zip avec DEV (pour développement) dans le nom.
0
Rejoignez-nous